Bug 798741 - Review Request: perl-WebService-Rajce - Perl interface for www.rajce.idnes.cz
Review Request: perl-WebService-Rajce - Perl interface for www.rajce.idnes.cz
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 13:05 EST by Petr Pisar
Modified: 2012-03-17 19:56 EDT (History)
4 users (show)

See Also:
Fixed In Version: perl-WebService-Rajce-0.07-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-09 21:04:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2012-02-29 13:05:56 EST
Spec URL: http://ppisar.fedorapeople.org/perl-WebService-Rajce/perl-WebService-Rajce.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-WebService-Rajce/perl-WebService-Rajce-0.07-1.fc18.src.rpm
Description:
This is Perl library implementing an API of a photo gallery service running on
www.rajce.idnes.cz server. After installing, you can find documentation for
this module with `perldoc WebService::Rajce' command.
Comment 1 Petr Šabata 2012-03-01 08:19:49 EST
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[-]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/contyk/src/review/798741/WebService-Rajce-0.07.tar.gz :
  MD5SUM this package     : 1b8a5cb57db7ccc65ae1400dbee95b65
  MD5SUM upstream package : 1b8a5cb57db7ccc65ae1400dbee95b65
[!]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
NOTE: I'd remove the second sentence from the base package description (the one mentioning perldoc).  This is no place for specific tools recommendations :)
TODO: s/Commands/Command/ in the tools subpackage description.

Approving.

Generated by fedora-review 0.2.0git
External plugins:
Comment 2 Petr Pisar 2012-03-01 08:30:44 EST
New Package SCM Request
=======================
Package Name: perl-WebService-Rajce 
Short Description: Perl interface for www.rajce.idnes.cz
Owners: ppisar mmaslano psabata
Branches: f16 f17
InitialCC: perl-sig
Comment 3 Jon Ciesla 2012-03-01 21:25:18 EST
Git done (by process-git-requests).
Comment 4 Petr Pisar 2012-03-02 04:59:02 EST
I corrected the descriptions.

Thank you for the review and the reporitory.
Comment 5 Fedora Update System 2012-03-02 05:03:37 EST
perl-WebService-Rajce-0.07-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-WebService-Rajce-0.07-1.fc17
Comment 6 Fedora Update System 2012-03-02 05:05:20 EST
perl-WebService-Rajce-0.07-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-WebService-Rajce-0.07-1.fc16
Comment 7 Fedora Update System 2012-03-05 15:57:43 EST
perl-WebService-Rajce-0.07-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 8 Fedora Update System 2012-03-09 21:04:35 EST
perl-WebService-Rajce-0.07-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 9 Fedora Update System 2012-03-17 19:56:45 EDT
perl-WebService-Rajce-0.07-1.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.